Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07662 Interface Minor Always May 24, 2020, 02:39 May 18, 2021, 19:15
Tester tlindner View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS MacOS X
Status [?] Resolved Driver coco3.cpp
Version 0.221 Fixed in Version 0.232 Build 64-bit
Fixed in Git Commit fde37c3 Github Pull Request #
Summary MESS-specific 07662: coco3: Snapshot of RGB screen doesn't work.
Description Getting a snapshot of the RGB screen for the coco3 driver doesn't work. If emulation starts with a RGB screen selected snapshot will be black. If you start with a CMP screen and switch to the RGB screen and perform a snapshot you will get the CMP screen.
Steps To Reproduce 1. start emulation in CMP.
2. switch to RGB screen.
3. Perform snapshot.
4. PNG will be the CMP screen.

or

1. start emulation in RGB
2 Perform snapshot.
3. PNG will be black (with light gun crosshair).
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems coco3
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.17673
Tafoid
Administrator
May 24, 2020, 03:39
edited on: May 24, 2020, 04:19
You need to select it in -snapview. -snapview is will be used by snapshots and avi/mng recording.
If you choose a display other than default and intend to record/snap it correctly, the -snapview must be explicitly assigned.
It is separately controlled from the viewed on screen layout chosen.
User avatar
No.17696
Tafoid
Administrator
May 30, 2020, 18:40
Acknowledged until we get official word on behaviors. It seems that even if you change the layout for view, the snapshot layout shouldn't show a black screen.
User avatar
No.18853
tlindner
Tester
May 18, 2021, 18:58
Video system for the coco3 driver was recently changed. The two screens are not done via layouts anymore. The snap view is the capture of the currently selected monitor that is chosen in the Machine Configuration UI.